/* $Id: memory.h,v 1.3 2001/07/04 20:54:46 robey Exp $
 *
 * Copyright (C) 2000, 2001  Robey Pointer <robey@lag.net>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _MEMORY_H_
#define _MEMORY_H_

/* max lines of log-based memory to store */
#define MAX_MEMORY_DUMP		500

void memories_init (void);
void memories_scan (const EnamlBlock *block);

void do_new_memory (Client *client, const EnamlBlock *block, Socket *sock);
void do_list_memories (Client *client, const EnamlBlock *block, Socket *sock);
void do_clear_memory (Client *name, const EnamlBlock *block, Socket *sock);
void do_dump_memory (Client *name, const EnamlBlock *block, Socket *sock);

#endif	/* _MEMORY_H_ */
